# PSNMP_GetResponse_PDU Class Reference

`#include <snmp.h>`

Inheritance diagram for PSNMP_GetResponse_PDU:

List of all members.

## Public Member Functions

| PSNMP_GetResponse_PDU (unsigned tag=2, TagClass tagClass=ContextSpecificTagClass)
PObject * | Clone () const
| Create a copy of the class on the heap.

## Constructor & Destructor Documentation

PSNMP_GetResponse_PDU::PSNMP_GetResponse_PDU | ( | unsigned | tag = `2`,
|  | TagClass | tagClass = `ContextSpecificTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* PSNMP_GetResponse_PDU::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PSNMP_PDU.

The documentation for this class was generated from the following file:

- snmp.h